=== debian/control ===
Source: libace-perl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libtirpc-dev,
               perl-xs-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/libace-perl
Vcs-Git: https://salsa.debian.org/med-team/libace-perl.git
Homepage: https://metacpan.org/release/AcePerl
Rules-Requires-Root: no

Package: libace-perl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         libcache-cache-perl
Recommends: libcgi-pm-perl,
            libgd-perl
Conflicts: ace
Description: Object-Oriented Access to ACEDB Databases
 AcePerl is an object-oriented Perl interface for the AceDB
 database. It provides functionality for connecting to remote AceDB
 databases, performing queries, fetching ACE objects, and updating
 databases. The programmer's API is compatible with the JADE Java API,
 and interoperable with the API used by BoulderIO.
 .
 AceDB is a genome database system developed since 1989 primarily by
 Jean Thierry-Mieg (CNRS, Montpellier) and Richard Durbin (Sanger
 Institute). It was originally developed for the C.elegans genome
 project , from which its name was derived (A C. elegans DataBase).
