=== debian/watch ===
Version: 5

Source: https://metacpan.org/release/AcePerl/
Matching-Pattern: .*/AcePerl-v?(\d[\d_.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
